import 'dart:html';
import 'package:flutter/widgets.dart';
import 'dart:ui' as ui;

class MultiplatformWebview extends StatefulWidget {
  const MultiplatformWebview({
    @required this.src,
    @required this.id,
  });

  final String src;
  final String id;

  @override
  _MultiplatformWebviewState createState() => _MultiplatformWebviewState();
}

class _MultiplatformWebviewState extends State<MultiplatformWebview> {
  final IFrameElement _iframeElement = IFrameElement();

  @override
  void initState() {
    super.initState();

    // ignore: undefined_prefixed_name
    ui.platformViewRegistry.registerViewFactory(
      'iframeElement/${widget.id}',
      (int viewId) => _iframeElement,
    );
  }

  @override
  Widget build(BuildContext context) {
    //_iframeElement.height = '500';
    //_iframeElement.width = '500';

    if(widget.src.toUpperCase().contains("HTML")){
      _iframeElement.srcdoc = widget.src;
    } else {
      _iframeElement.src = widget.src;
    }

    _iframeElement.style.border = 'none';

    return Container(
      child: HtmlElementView(
        key: UniqueKey(),
        viewType: 'iframeElement/${widget.id}',
      ),
    );
  }
}
